ModuleDependency (Gradle API 5.0)
Date: 2018-11-26

Package org.gradle.plugins.ide.idea.model

## Class ModuleDependency

- java.lang.Object
- - org.gradle.plugins.ide.idea.model.ModuleDependency

- All Implemented Interfaces:
    `Dependency`

      public class ModuleDependency
      extends java.lang.Object
      implements Dependency

  Represents an orderEntry of type module in the iml XML.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ModuleDependency​(java.lang.String name, java.lang.String scope)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addToNode​(groovy.util.Node parentNode)` |
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getName​()` | The name of the module the module depends on.
    `java.lang.String` | `getScope​()` | The scope for this dependency.
    `int` | `hashCode​()` |
    `boolean` | `isExported​()` |
    `void` | `setExported​(boolean exported)` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setScope​(java.lang.String scope)` | The scope of this library.
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModuleDependency

          public ModuleDependency​(java.lang.String name,
                                  java.lang.String scope)

  - ### Method Detail

    - #### getName

          public java.lang.String getName​()

      The name of the module the module depends on. Must not be null.

    - #### setName

          public void setName​(java.lang.String name)

    - #### getScope

          public java.lang.String getScope​()

      The scope for this dependency. If null the scope attribute is not added.
      Specified by:
        `getScope` in interface `Dependency`

    - #### setScope

          public void setScope​(java.lang.String scope)

      Description copied from interface: `Dependency`
      The scope of this library. If `null`, the scope attribute is not added.
      Specified by:
        `setScope` in interface `Dependency`

    - #### isExported

          public boolean isExported​()

    - #### setExported

          public void setExported​(boolean exported)

    - #### addToNode

          public void addToNode​(groovy.util.Node parentNode)

      Specified by:
        `addToNode` in interface `Dependency`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Object`